package kernel.peripherals;

class EnergyStorage implements IPeripheral{
    public static inline final TYPE_NAME:String = "energyCell";

    private final addr:String;
    private final native: cc.periphs.EnergyStorage;

    public function new(addr: String) {
        this.addr = addr;    
        this.native = cc.Peripheral.wrap(addr);
    }

    public function getEnergy(): Int {
        return this.native.getEnergy();
    }

    public function getEnergyCapacity(): Int {
        return this.native.getEnergyCapacity();
    }

	public function getAddr():String {
		return this.addr;
	}
}
